MetricSetController Class |
Namespace: Dundas.BI.WebApi.Controllers
The MetricSetController type exposes the following members.
| Name | Description | |
|---|---|---|
| MetricSetController |
Initializes a new instance of the MetricSetController class.
|
| Name | Description | |
|---|---|---|
| AddAllElementsToMetricSet | POST /MetricSet/AddAllElements/{id}
Adds all the elements to the metric set with the specified placement position.
| |
| AddContextualMeasure | POST /MetricSet/AddContextualMeasure/{id}
Adds a contextual measure to the metric set.
| |
| AddCountMeasureToMetricSet | POST /MetricSet/AddCountMeasure/{id}
Adds the count measure to the metric set.
| |
| AddCustomHierarchyGroup | POST /MetricSet/AddCustomHierarchyGroup/{id}
Adds a custom hierarchy group to the metric set.
| |
| AddDynamicHierarchy | POST /MetricSet/AddDynamicHierarchy/{id}
Adds a dynamic hierarchy to the metric set.
| |
| AddDynamicMeasure | POST /MetricSet/AddDynamicMeasure/{id}
Adds a dynamic measure to the metric set.
| |
| AddElementToMetricSet | POST /MetricSet/AddElement/{id}
Adds the specified element to the metric set.
| |
| AddParallelPeriodMeasure | POST /MetricSet/AddParallelPeriodMeasure/{id}
Adds a parallel period measure to a metric set.
| |
| AddParallelSlicerMeasure | POST /MetricSet/AddParallelSlicerMeasure/{id}
Adds a parallel slicer measure to a metric set.
| |
| AddReplaceHierarchyOnMetricSet | POST /MetricSet/AddReplaceHierarchy/{id}
Adds the specified element + hierarchy to the metric set, or if the element is already on the metric set, updates it to use
the hierarchy given.
| |
| AddScriptMeasure | POST /MetricSet/AddScriptMeasure/
Add a script measure to the metric set.
| |
| AddScriptMetricSet | POST /MetricSet/AddScriptMetricSet/
Generate a script metric set.
| |
| AddStateGroupToMetricSet | POST /MetricSet/AddStateGroup/{id}
Adds a state group to a metric set.
| |
| CancelMeasureSorting | PUT /MetricSet/CancelMeasureSorting/{id}
Cancels all measure sorting on a metric set.
| |
| EnsureCallerContext |
If the current context is not already the specified context, creates a new caller context which is
a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.) | |
| EnsureFormFileMultipartContent |
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.) | |
| GenerateMetricSet | POST /MetricSet/
Generates a new metric set.
| |
| GetAnalysisStructure | GET /MetricSet/AnalysisStructure/{id}
Gets the metric set's analysis structure.
| |
| GetClientIdFromCookieOrProvided |
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| GetMetricSet | GET /MetricSet/{id}
Gets a metric set.
| |
| GetMetricSetsByIds | POST /MetricSet/GetByIds/
Gets a metric set.
| |
| GetServiceT |
Gets the requested service.
(Inherited from ApiControllerBase.) | |
| GetSessionIdFromCookieHeaderOrProvided |
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| LoadSession |
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.) | |
| MoveElementBeforeOnMetricSet | POST /MetricSet/MoveElementBefore/{id}
Moves an element before another element in a metric set.
| |
| ParseScript | POST /MetricSet/ParseScript/
Parse a script for its structural break down to be used when displaying analysis when creating the script in the UI.
| |
| RemoveAllElementsFromMetricSet | POST /MetricSet/RemoveAllElements/{id}
Removes all the elements to the metric set with the specified placement position.
| |
| RemoveElementFromMetricSet | DELETE /MetricSet/RemoveElement/{id}
Removes an element from a metric set.
| |
| RemoveStateGroupOnMetricSet(Guid, Guid, NullableGuid) | DELETE /MetricSet/RemoveStateGroup/{id}
Deletes the specified state group from a metric set.
| |
| RemoveStateGroupOnMetricSet(Guid, String, NullableGuid) | DELETE /MetricSet/RemoveCustomHierarchyGroup/{id}
Deletes the specified custom hierarchy group from a metric set.
| |
| ReplaceAnalysisStructure | POST /MetricSet/ReplaceAnalysisStructure/{id}
Replaces the metric set's analysis structure with a different one.
| |
| ReplaceElementOnMetricSet | POST /MetricSet/ReplaceElement/{id}
Replaces an element in a metric set.
| |
| RequestFirstFormFile |
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.) | |
| RequestFormFiles |
Retrieves the form files from the request.
(Inherited from ApiControllerBase.) | |
| RestoreUndoFrame | POST /MetricSet/RestoreUndoFrame/{id}
Restores the metric set to the given undo frame ID.
| |
| ReturnInvalidWindowsIdentityResponse |
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.) | |
| SwitchTotalsCalculationRules | POST /MetricSet/SwitchTotalsCalculationRules/
Switches the calculation axis for any defined totals calculation rule for the specified measure.
| |
| UpdateElementOnMetricSet | PUT /MetricSet/UpdateElement/{id}
Updates the specified element on the metric set.
| |
| UpdateElementsOnMetricSet | PUT /MetricSet/UpdateElements/{id}
Updates the specified elements on the metric set.
| |
| UpdateMetricSet | PUT /MetricSet/{id}
Updates a metric set.
| |
| UpdateMetricSetSorting | PUT /MetricSet/UpdateSorting/{id}
Updates the sorting and given elements on the metric set.
| |
| UpdateScriptMeasure | PUT /MetricSet/UpdateScriptMeasure/
Update a script measure.
| |
| UpdateScriptMetricSet | PUT /MetricSet/UpdateScriptMetricSet/
Update a script metric set.
| |
| UpdateStateGroupOnMetricSet | PUT /MetricSet/UpdateStateGroup/{id}
Updates the specified state group in a metric set.
|